from base64 import urlsafe_b64encode

from django.test import TestCase
from djangoldp_webpushnotification.models import VAPIDKeyset
from ecdsa import NIST256p, SigningKey


class TestVAPIDKeySet(TestCase):
    def test_vapidkeyset_public_key(self):
        priv_key = SigningKey.generate(curve=NIST256p)
        vapid_key_set = VAPIDKeyset.objects.create(
            _private_key=urlsafe_b64encode(priv_key.to_string()).strip(b"=")
        )
        assert isinstance(vapid_key_set.public_key, bytes)
